I am on Ubuntu 18.04 and when I run:

sudo apt-get -o Dpkg::Options::="--force-overwrite" install cuda
-10-0 cuda-drivers

I get this output:

Reading package lists... Done                                                           
Building dependency tree
Reading state information... Done
E: Unable to locate package cuda-10-0
E: Unable to locate package cuda-drivers

I think this article may be out of date or else will not work for me. Nonetheless, great article, I enjoyed.

XR Developer at HookBang